%global momorel 2
%global artsver 1.5.7
%global artsrel 1m
%global qtver 3.3.7
%global kdever 3.5.7
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 6f65d969fcd08533e4ccdf6cdc5576f6

Summary: KShutDown is an advanced shut down utility for KDE
Name: kshutdown
Version: 1.0.1
Release: %{momorel}m%{?dist}
License: GPL
URL: http://kshutdown.sourceforge.net/
Group: Applications/System
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Source1: %{name}rc
Source2: hi64-app-kshutdown.png
Source3: hi128-app-kshutdown.png
Patch0: %{name}-1.0-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: desktop-file-utils
BuildPreReq: gettext

%description
KShutDown is an advanced shut down utility for KDE.
Features:
- Turn Off Computer (logout and halt the system)
- Restart Computer (logout and reboot the system)
- Lock Session (lock the screen using a screen saver)
- End Current Session (end the current KDE session and logout the user)
- Extras (additional, user commands)
- Time and delay options
- Command line and DCOP support
- System tray and panel applet
- Visual and sound notifications
- KDE Kiosk support
- And more...

%prep
%setup -q

%patch0 -p1 -b .desktop~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install kshutdownrc
mkdir -p %{buildroot}%{_datadir}/config
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/config/

# install large icons
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{64x64,128x128}/apps
install -m 644 %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/kshutdown.png
install -m 644 %{SOURCE3} %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/kshutdown.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --remove-category Application \
  --remove-category Utility \
  --add-category System \
  --add-category Qt \
  %{buildroot}%{_datadir}/applications/kshutdown.desktop

# make symlinks relative
pushd %{buildroot}%{_docdir}/HTML
for lang in de ; do
  if [ -d $lang ]; then
    cd $lang
    for i in *; do
      if [ -d $i -a -L $i/common ]; then
        rm -f $i/common
        ln -sf ../docs/common $i
      fi
    done
    cd ..
  fi
done
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/kshutdown
%{_libdir}/kde3/kshutdownlockout_panelapplet.la
%{_libdir}/kde3/kshutdownlockout_panelapplet.so
%{_datadir}/applications/kde/kshutdown.desktop
%{_datadir}/apps/kconf_update/kshutdown.upd
%{_datadir}/apps/kicker/applets/kshutdownlockout.desktop
%{_datadir}/apps/kshutdown
%{_datadir}/config/kshutdownrc
%{_datadir}/doc/HTML/*/kshutdown
%{_datadir}/icons/*/*/*/kshutdown.png
%{_datadir}/locale/*/LC_MESSAGES/kshutdown.mo

%changelog
* Tue Jul 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.1-2m)
- import large icons from Fedora

* Thu Jul 12 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.1-1m)
- version 1.0.1

* Mon Apr 23 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-1m)
- version 1.0

* Fri Mar 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.1-0.1.1m)
- initial package for Momonga Linux
